<div class="container">
  <div class="content">
    <div class="left-panel">
      <div #levelContent #solution class="level-content">
        <div>
          <mat-tab-group [(selectedIndex)]="selectedTab">
            <div *ngFor="let task of phase.tasks; index as i">
              <mat-tab label="{{ i + 1 }}. {{ task.title }}">
                <sentinel-markdown-view [markdown]="task.content"></sentinel-markdown-view>
                <h2><span> Solution: </span></h2>
                <sentinel-markdown-view [markdown]="task.solution"> </sentinel-markdown-view>
              </mat-tab>
            </div>
          </mat-tab-group>
        </div>
      </div>
    </div>
    <div class="right-panel" #rightPanel>
      <div class="container">
        <div class="topology-placeholder" [style.width.px]="topologyWidth" [style.height.px]="topologyHeight">
          <img
            src="assets/kypo-training-agenda/topology-placeholder.png"
            alt="Topology placeholder"
            (load)="calculateTopologySize()"
            [width]="topologyWidth"
            [height]="topologyHeight"
          />
        </div>
        <h3 class="message">*This is just a template topology</h3>
      </div>
    </div>
  </div>
</div>
